module Nabortu
  module Methods
    class CheckVariant < Base
      def request(params = {})
        offer   = params[:offer] || raise(Nabortu::Errors::NoParam.new :offer)
        request = params[:request] || raise(Nabortu::Errors::NoParam.new :request)

        {'tns:offer' => {'Item' => offer.camelize_keys}, 'tns:Request' => request}
      end

      def fail_callback(error)
        return false if error.is_a?(Savon::SOAPFault)
        raise error
      end
    end
  end
end